{% load static %}

<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Note as Card</title>
    <meta charset="UTF-8" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/style.css' %}" type="text/css">
    <style>
      .container{
        display: grid;
        column-gap: 2em;
        row-gap: 2em;
        padding: 2em;
        grid-template-columns: repeat(auto-fill, minmax(250px, max-content));
      }

      .menu{
        height: 53px;
      }
      
    </style>
  </head>
  <body>

    <nav>
        <ul class = "menu">
            <li><a class="button" href="/lab-4/add-note">Add Note</a></li>
            <li><a class="button" href="/lab-4">Note as Table</a></li>
            <li><a class="button" href="/lab-4/note-list">Note as Card</a></li>
        </ul>
    </nav>
    <br><br><br>

    <div class="container">
      {% for obj in Note %}
      <div class="card text-white bg-warning mb-3" style="width: 18rem;">
        <div class="card-header">
          <strong>To: </strong>{{obj.to}}
        </div>
        <ul class="list-group list-group-flush">
          <li class="list-group-item"><strong>From: </strong>{{obj.From}}</li>
          <li class="list-group-item"><strong>Title:  </strong>{{obj.title}}</li>
          <li class="list-group-item"><strong>Message:  </strong>{{obj.message}}</li>
        </ul>
      </div>
      {% endfor %}
    </div>
  
  </body>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
</html>
